Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## UI.Run.JSci
Class GEVAGraphColours

    java.lang.Object
      UI.Run.JSci.GEVAGraphColours

    public class GEVAGraphColours

extends java.lang.Object

Some colour fluff

Author:
  eliott bartley

Field Summary
`static int[]` | `colourIndexes`
`static java.lang.String[]` | `colourNames`

Method Summary
`static java.lang.String` | `getColourName(java.awt.Color colour)` Get the nearest colour that matches and return the name of that colour.
`static java.awt.Color` | `getNamedColour(java.lang.String name)` Given a name, return the colour
`static boolean` | `isBright(java.awt.Color colour)` Taken from http://www.w3.org/TR/AERT#color-contrast

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### colourIndexes

    public static final int[] colourIndexes

### colourNames

    public static final java.lang.String[] colourNames

Method Detail

### getColourName

    public static java.lang.String getColourName(java.awt.Color colour)

  Get the nearest colour that matches and return the name of that colour. This matches based on the distance between the colours in RGB space.

  Parameters:
    `colour` - Colour to find nearest match for
  Returns:
    Name of nearest match

### getNamedColour

    public static java.awt.Color getNamedColour(java.lang.String name)

  Given a name, return the colour

  Parameters:
    `name` - The name of the colour
  Returns:
    The colour of the name

### isBright

    public static boolean isBright(java.awt.Color colour)

  Taken from http://www.w3.org/TR/AERT#color-contrast

  Parameters:
    `colour` -
  Returns:
    true if this is a bright colour, and should have a black contrasting foreground, false if it should have a white foreground

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD